Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.resource
Class AbstractBaseResource

    java.lang.Object
      javax.faces.application.Resource
          org.richfaces.resource.AbstractBaseResource

Direct Known Subclasses:
  AbstractCacheableResource

    public abstract class AbstractBaseResource

extends javax.faces.application.Resource

Since:
  4.0
Author:
  Nick Belaevski

Field Summary
`static java.lang.String` | `URL_PROTOCOL`

Fields inherited from class javax.faces.application.Resource
`COMPONENT_RESOURCE_KEY`

Constructor Summary
`protected` | `AbstractBaseResource()`

Method Summary
`protected void` | `addCacheControlResponseHeaders(javax.faces.context.FacesContext facesContext, java.util.Map<java.lang.String,java.lang.String> headers)`
`protected void` | `addNoCacheResponseHeaders(javax.faces.context.FacesContext facesContext, java.util.Map<java.lang.String,java.lang.String> headers)`
`protected java.lang.ClassLoader` | `getClassLoader()`
`protected int` | `getContentLength(javax.faces.context.FacesContext context)`
`protected java.util.Date` | `getLastModified(javax.faces.context.FacesContext context)` TODO optimize/review?
`java.lang.String` | `getRequestPath()`
`java.util.Map<java.lang.String,java.lang.String>` | `getResponseHeaders()`
`java.net.URL` | `getURL()`
`boolean` | `userAgentNeedsUpdate(javax.faces.context.FacesContext context)`

Methods inherited from class javax.faces.application.Resource
`getContentType, getInputStream, getLibraryName, getResourceName, setContentType, setLibraryName, setResourceName, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### URL_PROTOCOL

    public static final java.lang.String URL_PROTOCOL

See Also:
  Constant Field Values

Constructor Detail

### AbstractBaseResource

    protected AbstractBaseResource()

Method Detail

### getContentLength

    protected int getContentLength(javax.faces.context.FacesContext context)

### getLastModified

    protected java.util.Date getLastModified(javax.faces.context.FacesContext context)

  TODO optimize/review?

  Returns:
    Returns the lastModified.

### getClassLoader

    protected java.lang.ClassLoader getClassLoader()

### getRequestPath

    public java.lang.String getRequestPath()

  Specified by:
    `getRequestPath` in class `javax.faces.application.Resource`

### addNoCacheResponseHeaders

    protected void addNoCacheResponseHeaders(javax.faces.context.FacesContext facesContext,
                                             java.util.Map<java.lang.String,java.lang.String> headers)

### addCacheControlResponseHeaders

    protected void addCacheControlResponseHeaders(javax.faces.context.FacesContext facesContext,
                                                  java.util.Map<java.lang.String,java.lang.String> headers)

### getResponseHeaders

    public java.util.Map<java.lang.String,java.lang.String> getResponseHeaders()

  Specified by:
    `getResponseHeaders` in class `javax.faces.application.Resource`

### getURL

    public java.net.URL getURL()

  Specified by:
    `getURL` in class `javax.faces.application.Resource`

### userAgentNeedsUpdate

    public boolean userAgentNeedsUpdate(javax.faces.context.FacesContext context)

  Specified by:
    `userAgentNeedsUpdate` in class `javax.faces.application.Resource`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.